# PetscDrawLineSetWidth

Sets the line width for future draws. The width is relative to the user coordinates of the window; 0.0 denotes the natural width; 1.0 denotes the entire viewport.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawLineSetWidth(PetscDraw draw,PetscReal width)

Not collective

### Input Parameters

| draw | - the drawing context
| width | - the width in user coordinates

### See Also

PetscDrawLineGetWidth()

Level:advanced
Location: src/sys/draw/interface/dlinew.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages